import time
from utils import ReadConf,TimeConversion

class Switch(object):
    def __init__(self) -> None:
        self.isErr = False
        self.errMsg = ""

    
    def _RunError(self,errMsg:str):
        self.isErr = True
        self.errMsg = errMsg
    
    def convert(param:dict):
        t =  TimeConversion()
        t.timestamp = int(time.time())
        t.fmt = "%Y-%m-%d %H:%M:%S"